"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConstructorArgumentsElementMappingHandlerList = void 0;
/**
 * Handler for an RDF list.
 */
class ConstructorArgumentsElementMappingHandlerList {
    canHandle(configRoot, constructorArgs, configElement, mapper) {
        return Boolean(constructorArgs.list);
    }
    handle(configRoot, constructorArgs, configElement, mapper, genericsContext) {
        // Recursively handle all field values.
        const ret = mapper.objectLoader.createCompactedResource({});
        ret.list = [];
        for (const argument of constructorArgs.list) {
            if (argument.property.fields || argument.property.elements) {
                ret.list.push(mapper
                    .applyConstructorArgumentsParameters(configRoot, argument, configElement, genericsContext));
            }
            else {
                const value = mapper
                    .getParameterValue(configRoot, argument, configElement, false, genericsContext);
                if (value) {
                    ret.list.push(value);
                }
                else {
                    ret.list.push(mapper.objectLoader.createCompactedResource({ undefined: true }));
                }
            }
        }
        return ret;
    }
}
exports.ConstructorArgumentsElementMappingHandlerList = ConstructorArgumentsElementMappingHandlerList;
//# sourceMappingURL=ConstructorArgumentsElementMappingHandlerList.js.map