import type { Resource } from 'rdf-object';
import type { IOverrideStep } from './IOverrideStep';
/**
 * Override step that inserts elements in a list at a specific index.
 * A negative index can be used to count from the back of the list.
 * An index of `-0` can be used to insert at the end of the list.
 *
 * Uses the following override step fields:
 *  - `overrideParameter`: Parameter of the original object that contains the list.
 *  - `overrideTarget`: A literal containing the index.
 *  - `overrideValue`: Element(s) to insert at the chosen index.
 */
export declare class OverrideListInsertAt implements IOverrideStep {
    canHandle(config: Resource, step: Resource): boolean;
    handle(config: Resource, step: Resource): Resource;
}
