import type { Resource } from 'rdf-object';
import type { IOverrideStep } from './IOverrideStep';
/**
 * Override step that inserts elements in a list before a specific element.
 *
 * Uses the following override step fields:
 *  - `overrideParameter`: Parameter of the original object that contains the list.
 *  - `overrideTarget`: Element already in the list that is used as reference. This can be a named node or a literal.
 *  - `overrideValue`: Element(s) to insert immediately before the target element.
 */
export declare class OverrideListInsertBefore implements IOverrideStep {
    canHandle(config: Resource, step: Resource): boolean;
    handle(config: Resource, step: Resource): Resource;
}
