import type { Resource } from 'rdf-object';
import type { IOverrideStep } from './IOverrideStep';
/**
 * Override step that removes specified elements.
 *
 * Uses the following override step fields:
 *  - `overrideParameter`: Parameter of the original object that contains the list.
 *  - `overrideTarget`: Element(s) already in the list that need to be removed. These can be named nodes or literals.
 */
export declare class OverrideListRemove implements IOverrideStep {
    canHandle(config: Resource, step: Resource): boolean;
    handle(config: Resource, step: Resource): Resource;
}
