import type { Resource } from 'rdf-object';
import type { IOverrideStep } from './IOverrideStep';
/**
 * Override step that replaces properties of the target object.
 * Only the specified parameters will be replaced,
 * others will keep their original value.
 * In case the type is changed all original values will be removed.
 *
 * Uses the following override step fields:
 *  - `overrideValue`: New properties for the object.
 */
export declare class OverrideParameters implements IOverrideStep {
    canHandle(config: Resource, step: Resource): boolean;
    handle(config: Resource, step: Resource): Resource;
}
