"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uniqueTypes = void 0;
/**
 * Filters duplicates from the types of the given {@link Resource} and returns all unique entries.
 * @param resource - The {@link Resource} to filter the types of.
 * @param componentResources - All the available component resources.
 */
function uniqueTypes(resource, componentResources) {
    const componentTypesIndex = {};
    for (const type of resource.properties.types) {
        const componentResource = componentResources[type.value];
        if (componentResource) {
            componentTypesIndex[componentResource.value] = componentResource;
        }
    }
    return Object.values(componentTypesIndex);
}
exports.uniqueTypes = uniqueTypes;
//# sourceMappingURL=ResourceUtil.js.map