import { Resource } from 'rdf-object';
import type { IParamValueConflict } from '../preprocess/parameterproperty/ParameterPropertyHandlerRange';
/**
 * An error that can include a context containing resources for display.
 */
export declare class ErrorResourcesContext extends Error {
    readonly context: IErrorContext;
    constructor(message: string, context: IErrorContext);
    exportContext(): any;
    static contextToJson(context: IErrorContext): any;
    static resourceToJson(resource: Resource | undefined): any;
    static conflictToJson(conflict: IParamValueConflict): any;
}
export interface IErrorContext {
    [key: string]: Resource | Resource[] | string | undefined | IErrorContext | IParamValueConflict;
}
